Skip to main content
POST
/
marketing
/
v3
/
campaigns
/
batch
/
read
Read a batch of campaigns
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/campaigns/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "assets": {},
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

endDate
string

End date to fetch asset metrics, formatted as YYYY-MM-DD. This date is used to fetch the metrics associated with the assets for a specified period. If not provided, no asset metrics will be fetched. Example: 2024-01-27

properties
string[]

A comma-separated list of the properties to be returned in the response. If any of the specified properties has empty value on the requested object(s), they will be ignored and not returned in response. If this parameter is empty, the response will include an empty properties map. Example: hs_name, hs_campaign_status, hs_notes

startDate
string

Start date to fetch asset metrics, formatted as YYYY-MM-DD. This date is used to fetch the metrics associated with the assets for a specified period. If not provided, no asset metrics will be fetched. Example: 2023-01-20

Body

application/json
inputs
object[]
required

An array of PublicCampaignReadInput objects, each containing the ID of a campaign to be read. This property is required.

Response

successful operation

completedAt
string<date-time>
required

The timestamp when the batch request processing was completed.

results
object[]
required

An array of results from the batch operation, each representing a public campaign with assets.

startedAt
string<date-time>
required

The timestamp when the processing of the batch request began.

status
enum<string>
required

The current processing status of the batch operation, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A collection of URLs linking to related resources or documentation.

requestedAt
string<date-time>

The timestamp when the batch request was initially made.

Last modified on March 30, 2026